Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class CharArrayType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.NullableType
              org.hibernate.type.MutableType
                  org.hibernate.type.AbstractCharArrayType
                      org.hibernate.type.CharArrayType

All Implemented Interfaces:
  Serializable, Type

    public class CharArrayType

extends AbstractCharArrayType

put char[] into VARCHAR

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`CharArrayType()`

Method Summary
`String` | `getName()` Returns the abbreviated name of the type.
`Class` | `getReturnedClass()` The class returned by `nullSafeGet()` methods.
`protected Object` | `toExternalFormat(char[] chars)` Convert the char[] into the expected object type
`protected char[]` | `toInternalFormat(Object chars)` Convert the object into the internal char[] representation

Methods inherited from class org.hibernate.type.AbstractCharArrayType
`deepCopyNotNull, fromStringValue, get, objectToSQLString, set, sqlType, stringToObject, toString`

Methods inherited from class org.hibernate.type.MutableType
`deepCopy, isMutable, replace`

Methods inherited from class org.hibernate.type.NullableType
`fromXMLNode, fromXMLString, getColumnSpan, isDirty, isEqual, isEqual, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeToString, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getHashCode, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharArrayType

    public CharArrayType()

Method Detail

### toExternalFormat

    protected Object toExternalFormat(char[] chars)

  Description copied from class: `AbstractCharArrayType`
  Convert the char[] into the expected object type

  Specified by:
    `toExternalFormat` in class `AbstractCharArrayType`

### toInternalFormat

    protected char[] toInternalFormat(Object chars)

  Description copied from class: `AbstractCharArrayType`
  Convert the object into the internal char[] representation

  Specified by:
    `toInternalFormat` in class `AbstractCharArrayType`

### getReturnedClass

    public Class getReturnedClass()

  Description copied from interface: `Type`
  The class returned by `nullSafeGet()` methods. This is used to establish the class of an array of this type.

  Specified by:
    `getReturnedClass` in interface `Type`
  Specified by:
    `getReturnedClass` in class `AbstractCharArrayType`
  Returns:
    Class

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Returns:
    String the Hibernate type name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD